package org.dromara.ems.base.domain;

import cn.idev.excel.annotation.ExcelIgnoreUnannotated;
import cn.idev.excel.annotation.ExcelProperty;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 报警规则措施步骤图片对象 ems_alarm_action_step_image
 * 
 * @author zch
 * @date 2025-05-29
 */
@ExcelIgnoreUnannotated
public class EmsAlarmActionStepImage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String objId;

    /** 关联的措施步骤ID */
    @ExcelProperty(value = "关联的措施步骤ID")
    private String actionStepObjId;

    /** 图片URL */
    @ExcelProperty(value = "图片URL")
    private String imageUrl;

    /** 图片顺序 */
    @ExcelProperty(value = "图片顺序")
    private Long imageSequence;

    /** 图片描述 */
    @ExcelProperty(value = "图片描述")
    private String description;

    public void setObjId(String objId) 
    {
        this.objId = objId;
    }

    public String getObjId() 
    {
        return objId;
    }

    public void setActionStepObjId(String actionStepObjId) 
    {
        this.actionStepObjId = actionStepObjId;
    }

    public String getActionStepObjId() 
    {
        return actionStepObjId;
    }

    public void setImageUrl(String imageUrl) 
    {
        this.imageUrl = imageUrl;
    }

    public String getImageUrl() 
    {
        return imageUrl;
    }

    public void setImageSequence(Long imageSequence) 
    {
        this.imageSequence = imageSequence;
    }

    public Long getImageSequence() 
    {
        return imageSequence;
    }

    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("actionStepObjId", getActionStepObjId())
            .append("imageUrl", getImageUrl())
            .append("imageSequence", getImageSequence())
            .append("description", getDescription())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
